mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly)

A contract reference assembly is named assembly.Contracts.dll, where assembly is the name of the assembly from which the contracts were extracted. A contract reference assembly contains the publicly visible interface of an assembly and its contracts, but contains no code. Contract reference assemblies are used both by the runtime analyzer to inherit contracts across assemblies, and during static verification to discover contracts on methods and types from assemblies outside the assembly that is under analysis.

For more information about using attributes, see Extending Metadata Using Attributes.

Specifies that an assembly is a reference assembly that contains contracts.

- Constructor
  4.0.0.0

  Initializes a new instance of the class.